Update the amount of allocatable global outbound channels allocated to a specific managed account.
Update the amount of allocatable global outbound channels allocated to a specific managed account.
PATCH
/
managed_accounts
/
{id}
/
update_global_channel_limit
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.managedAccounts.updateGlobalChannelLimit('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.managed_accounts.update_global_channel_limit(
id="id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ManagedAccounts.UpdateGlobalChannelLimit(
context.TODO(),
"id",
telnyx.ManagedAccountUpdateGlobalChannelLimitParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountUpdateGlobalChannelLimitParams;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountUpdateGlobalChannelLimitResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ManagedAccountUpdateGlobalChannelLimitResponse response = client.managedAccounts().updateGlobalChannelLimit("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.managed_accounts.update_global_channel_limit("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->managedAccounts->updateGlobalChannelLimit(
'id', channelLimit: 30
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx managed-accounts update-global-channel-limit \
--api-key 'My API Key' \
--id idcurl --request PATCH \
--url https://api.telnyx.com/v2/managed_accounts/{id}/update_global_channel_limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_limit": 30
}
'{
"data": {
"channel_limit": 30,
"email": "allocate_demo@customer.com",
"id": "096abcde-1122-3344-ab77-ff0123456789",
"manager_account_id": "beeabcde-1122-3344-ab77-ff0123456789",
"record_type": "managed_account_global_outbound_settings"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Managed Account User ID
Body
application/json
Parameters that define the changes to the global outbounds channels for the managed account
Integer value that indicates the number of allocatable global outbound channels that should be allocated to the managed account. Must be 0 or more. If the value is 0 then the account will have no usable channels and will not be able to perform outbound calling.
Example:
30
Response
Successful response with information about the allocatable global outbound channels for the given account.
Show child attributes
Show child attributes
Example:
{
"channel_limit": 30,
"email": "allocate_demo@customer.com",
"id": "096abcde-1122-3344-ab77-ff0123456789",
"manager_account_id": "beeabcde-1122-3344-ab77-ff0123456789",
"record_type": "managed_account_global_outbound_settings"
}
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.managedAccounts.updateGlobalChannelLimit('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.managed_accounts.update_global_channel_limit(
id="id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ManagedAccounts.UpdateGlobalChannelLimit(
context.TODO(),
"id",
telnyx.ManagedAccountUpdateGlobalChannelLimitParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountUpdateGlobalChannelLimitParams;
import com.telnyx.sdk.models.managedaccounts.ManagedAccountUpdateGlobalChannelLimitResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ManagedAccountUpdateGlobalChannelLimitResponse response = client.managedAccounts().updateGlobalChannelLimit("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.managed_accounts.update_global_channel_limit("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->managedAccounts->updateGlobalChannelLimit(
'id', channelLimit: 30
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx managed-accounts update-global-channel-limit \
--api-key 'My API Key' \
--id idcurl --request PATCH \
--url https://api.telnyx.com/v2/managed_accounts/{id}/update_global_channel_limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_limit": 30
}
'{
"data": {
"channel_limit": 30,
"email": "allocate_demo@customer.com",
"id": "096abcde-1122-3344-ab77-ff0123456789",
"manager_account_id": "beeabcde-1122-3344-ab77-ff0123456789",
"record_type": "managed_account_global_outbound_settings"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}